# TODO:
# warning: Installed (but unpackaged) file(s) found:
#    /etc/hotplug/usb/xpp_fxloader
#    /etc/hotplug/usb/xpp_fxloader.usermap
#
%include	/usr/lib/rpm/macros.perl
Summary:	DAHDI telephony device support
Summary(pl.UTF-8):	Obsługa urządzeń telefonicznych DAHDI
Name:		dahdi-tools
Version:	2.7.0.1
Release:	1
License:	GPL v2
Group:		Base/Kernel
Source0:	http://downloads.asterisk.org/pub/telephony/dahdi-tools/%{name}-%{version}.tar.gz
# Source0-md5:	a0de4eb4e5f556441a3ded8e88d7d321
Source1:	dahdi.init
Source2:	dahdi.sysconfig
Patch0:		%{name}-as-needed.patch
Patch1:		%{name}-perl-path.patch
Patch2:		%{name}-includes.patch
URL:		http://www.asterisk.org/
BuildRequires:	dahdi-linux-devel >= 2.3.0
BuildRequires:	libusb-compat-devel >= 0.1
BuildRequires:	newt-devel
BuildRequires:	perl-base
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.379
Obsoletes:	dahdi-tools-utils
Obsoletes:	zaptel
Obsoletes:	zaptel-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DAHDI telephony device driver.

%description -l pl.UTF-8
Sterownik do urządzeń telefonicznych DAHDI.

%package devel
Summary:	DAHDI development headers
Summary(pl.UTF-8):	Pliki nagłówkowe DAHDI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dahdi-linux-devel
Obsoletes:	zaptel-devel

%description devel
DAHDI development headers.

%description devel -l pl.UTF-8
Pliki nagłówkowe DAHDI.

%package static
Summary:	DAHDI static library
Summary(pl.UTF-8):	Biblioteka statyczna DAHDI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
DAHDI static library.

%description static -l pl.UTF-8
Biblioteka statyczna DAHDI.

%package perl
Summary:	DAHDI utility programs written in Perl
Summary(pl.UTF-8):	Programy narzędziowe DAHDI napisane w Perlu
Group:		Applications/Communications
Requires:	perl-Dahdi = %{version}-%{release}

%description perl
DAHDI utility programs written in Perl.

%description perl -l pl.UTF-8
Programy narzędziowe DAHDI napisane w Perlu.

%package init
Summary:	DAHDI init scripts
Summary(pl.UTF-8):	Skrypty inicjalizujące DAHDI
Group:		Applications/Communications
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	zaptel-init

%description init
DAHDI boot-time initialization.

%description init -l pl.UTF-8
Inicjalizacja DAHDI w czasie startu systemu.

%package -n perl-Dahdi
Summary:	Perl interface to DAHDI
Summary(pl.UTF-8):	Perlowy interfejs do DAHDI
Group:		Development/Languages/Perl
# needs dahdi_scan
Requires:	%{name} = %{version}-%{release}

%description -n perl-Dahdi
Perl inferface to DAHDI.

%description -n perl-Dahdi -l pl.UTF-8
Perlowy interfejs do DAHDI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

cat > download-logger <<'EOF'
#!/bin/sh
# keep log of files make wanted to download in firmware/ dir
echo "$@" >> download.log
EOF
chmod a+rx download-logger

%build
%configure
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcppflags} %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dahdi
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/dahdi
touch $RPM_BUILD_ROOT%{_sysconfdir}/dahdi.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add dahdi
%service dahdi restart

%preun init
if [ "$1" = "0" ]; then
	%service dahdi stop
	/sbin/chkconfig --del dahdi
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dahdi.conf
%dir %{_sysconfdir}/dahdi
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dahdi/system.conf
#/etc/hotplug/usb/xpp_fxloader
#/etc/hotplug/usb/xpp_fxloader.usermap
%attr(755,root,root) %{_sbindir}/astribank_*
%attr(755,root,root) %{_sbindir}/dahdi_cfg
%attr(755,root,root) %{_sbindir}/dahdi_maint
%attr(755,root,root) %{_sbindir}/dahdi_monitor
%attr(755,root,root) %{_sbindir}/dahdi_scan
%attr(755,root,root) %{_sbindir}/dahdi_speed
%attr(755,root,root) %{_sbindir}/dahdi_test
%attr(755,root,root) %{_sbindir}/dahdi_tool
%attr(755,root,root) %{_sbindir}/fxotune
%attr(755,root,root) %{_sbindir}/sethdlc
%attr(755,root,root) %{_libdir}/libtonezone.so.1.*
%attr(755,root,root) %ghost %{_libdir}/libtonezone.so.1
%attr(755,root,root) %{_libdir}/libtonezone.so.2.*
%attr(755,root,root) %ghost %{_libdir}/libtonezone.so.2
%{_datadir}/dahdi
%{_mandir}/man8/astribank_*.8*
%{_mandir}/man8/dahdi_cfg.8*
%{_mandir}/man8/dahdi_maint.8*
%{_mandir}/man8/dahdi_monitor.8*
%{_mandir}/man8/dahdi_scan.8*
%{_mandir}/man8/dahdi_test.8*
%{_mandir}/man8/dahdi_tool.8*
%{_mandir}/man8/fxotune.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtonezone.so
%{_includedir}/dahdi/tonezone.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtonezone.a

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/dahdi_genconf
%attr(755,root,root) %{_sbindir}/dahdi_hardware
%attr(755,root,root) %{_sbindir}/dahdi_registration
%attr(755,root,root) %{_sbindir}/lsdahdi
%attr(755,root,root) %{_sbindir}/twinstar
%attr(755,root,root) %{_sbindir}/xpp_blink
%attr(755,root,root) %{_sbindir}/xpp_sync
%{_mandir}/man8/dahdi_genconf.8*
%{_mandir}/man8/dahdi_hardware.8*
%{_mandir}/man8/dahdi_registration.8*
%{_mandir}/man8/lsdahdi.8*
%{_mandir}/man8/twinstar.8*
%{_mandir}/man8/xpp_blink.8*
%{_mandir}/man8/xpp_sync.8*

%files init
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/dahdi
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dahdi

%files -n perl-Dahdi
%defattr(644,root,root,755)
%{perl_vendorlib}/Dahdi
%{perl_vendorlib}/Dahdi.pm
%changelog
* Sat Nov 30 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dahdi-tools.git;a=log;h=master

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 4e2a9ef
- updated to 2.7.0.1

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 256e3dd
- updated to 2.7.0

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 955a90d
- updated to 2.6.2

* Mon Jan 28 2013 Jakub Bogusz <qboosh@pld-linux.org> bfab6dd
- perl-based tools require perl-Dahdi, so separated -perl to avoid circular dependencies

* Mon Jan 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 85663a1
- added includes patch (missing header for NULL)

* Mon Jan 28 2013 Jakub Bogusz <qboosh@pld-linux.org> d4845b0
- updated to 2.6.1
- general copy-pastos cleanup
- killed -utils package which was just a copy of binaries from base (please don't create *-tools-utils-programs packages either)
- /usr/include/dahdi dir is owned by dahdi-linux-devel, which is required by -devel anyway

* Sat Mar 05 2011 Caleb Maclennan <caleb@alerque.com> e2e6d41
- Up to 2.4.1

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> 3d38b29
- -x for *.a

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> f3a38bf
- Up to 2.4.0

* Fri Apr 16 2010 hawk <hawk@pld-linux.org> 58e6c84
- updated to 2.3.0

* Fri Apr 16 2010 hawk <hawk@pld-linux.org> fdd7636
- updated for 2.3.0

* Fri Sep 25 2009 hawk <hawk@pld-linux.org> 3d54cb6
- blah, release 1

* Fri Sep 25 2009 hawk <hawk@pld-linux.org> 6f6c848
- fix perl part

* Fri Sep 25 2009 hawk <hawk@pld-linux.org> 209167b
- fix perl path in Makefile

* Tue Jul 14 2009 hawk <hawk@pld-linux.org> f3406a5
- updated TODO

* Tue Jul 14 2009 hawk <hawk@pld-linux.org> 3d11690
- updated for 2.2.0

* Tue Jul 14 2009 hawk <hawk@pld-linux.org> 2b54092
- updated to 2.2.0

* Wed Apr 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a3180a
- BR; optflags fixes

* Fri Dec 26 2008 aredridel <aredridel@pld-linux.org> 6139b86
- added

* Fri Dec 26 2008 aredridel <aredridel@pld-linux.org> cb361dd
- added

